#!/bin/bash
pool_member_rank=$1
member=$2

mv flxat.nc flxat__${pool_member_rank}.nc
mv sstoc.nc sstoc__${pool_member_rank}.nc
chmod u+w flxat__${pool_member_rank}.nc sstoc__${pool_member_rank}.nc 

for varname in COTAUXXU COTAUYYU COTAUZZU COTAUXXV COTAUYYV COTAUZZV COTOTRAI COTOTSNO COTOTEVA COICEVAP COQSRMIX COQNSMIX COSHFICE CONSFICE CODFLXDT COCALVIN COLIQRUN COWINDSP COTAUMOD
do
    ncrename -O -v .${varname},${varname}__${pool_member_rank} flxat__${pool_member_rank}.nc
done
for varname in O_SSTSST OIceFrc O_AlbIce O_TepIce O_OCurx1 O_OCury1 O_OCurz1
do
    ncrename -O -v .${varname},${varname}__${pool_member_rank} sstoc__${pool_member_rank}.nc
done
cd ..
